import { TestBed } from '@angular/core/testing';
import { ApiParserService } from '@shared/services/api/parser.service';

describe('ApiParserService', () => {
    let service: ApiParserService;

    beforeEach(() => {
        TestBed.configureTestingModule({
            providers: [ApiParserService],
        });

        service = TestBed.inject(ApiParserService);
    });

    it('should parse date', () => {
        const date = new Date(2022, 4, 21);

        expect(service.parseDate('2022-05-21')).toEqual(date);
    });
});
